%if 0%{?rhel} && 0%{?rhel} <= 6
%global python python27
%global tk27 tkinter27
%global py2short 27
%else
%global python python
%global tk27 tkinter
%global py2short %{nil}
%endif

%global pypi_name ansible
%global __sum SSH-based configuration management, deployment, and task execution system
%global __desc Ansible is a radically simple model-driven configuration management, multi-node deployment, and remote task execution system. Ansible works over SSH and does not require any software or daemons to be installed on remote nodes. Extension modules can be written in any language and are transferred to managed machines automatically.

Name:           %{pypi_name}%{py2short}
Version:        2.3.0.0
Release:        1%{?dist}
Summary:        %{__sum}

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}/
Source0:        https://pypi.io/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

Provides:       %{pypi_name} = %{version}-%{release}

Requires:       %{python}-yaml
Requires:       %{python}-paramiko
Requires:       %{python}-jinja2

BuildRequires:  %{python}-devel
BuildRequires:  %{python}-setuptools
BuildRequires:  python36-devel
BuildRequires:  python36-setuptools

%description
%{__desc}

This is the Python 2 build of the module.


%package -n %{pypi_name}36
Summary:        %{__sum}
Group:          Development/Languages
Provides:       python36-%{pypi_name} = %{version}-%{release}
Requires:       python36-yaml
Requires:       python36-paramiko
Requires:       python36-jinja2

%description -n %{pypi_name}36
%{__desc}

This is the Python 3 build of the module.

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%py36_build
%py27_build


%install
%py36_install
%{__sed} -i -e "1s|#!/usr/bin/env python|#!/usr/bin/env python3.6|" $RPM_BUILD_ROOT/%{_bindir}/ansible*
for i in $RPM_BUILD_ROOT/%{_bindir}/{ansible,ansible-console,ansible-doc,ansible-galaxy,ansible-playbook,ansible-pull,ansible-vault}  ; do
    mv $i $i-3.6
done

%py27_install
%{__sed} -i -e "1s|#!/usr/bin/env python|#!/usr/bin/env python2.7|" $RPM_BUILD_ROOT/%{_bindir}/ansible*
for i in $RPM_BUILD_ROOT/%{_bindir}/{ansible,ansible-console,ansible-doc,ansible-galaxy,ansible-playbook,ansible-pull,ansible-vault}  ; do
    mv $i $i-2.7
    ln -s %{_bindir}/$(basename $i)-2.7 $i
done
mkdir -p $RPM_BUILD_ROOT/etc/ansible/
mkdir -p $RPM_BUILD_ROOT/etc/ansible/roles/
cp examples/hosts $RPM_BUILD_ROOT/etc/ansible/
cp examples/ansible.cfg $RPM_BUILD_ROOT/etc/ansible/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
cp -v docs/man/man1/*.1 $RPM_BUILD_ROOT/%{_mandir}/man1/


%files
%{_bindir}/ansible*
%exclude %{_bindir}/ansible*-3*
%{python27_sitelib}/*
%config(noreplace) %{_sysconfdir}/ansible/
%doc README.md PKG-INFO COPYING CHANGELOG.md
%doc %{_mandir}/man1/ansible*


%files -n %{pypi_name}36
%{_bindir}/ansible*-3*
%{python36_sitelib}/*
%config(noreplace) %{_sysconfdir}/ansible/
%doc README.md PKG-INFO COPYING CHANGELOG.md
%doc %{_mandir}/man1/ansible*


%changelog

